For the complete documentation index, see llms.txt. This page is also available as Markdown.

Shipments outbound

Please see the Shipments Outbound documentation for help on transferring diamonds to another Tracr instance.

Transfer rough diamonds

Producers can send a shipment of rough diamonds to a manufacturer using the Tracr API. First, select the Tracr diamond IDs to put in a shipment (using the Tracr API or Portal), then:

Call POST /v2/transfer/out/start

{
    "diamonds": [
        {
            "diamond_id": "gy9zacqpt64rfm5l9aj8fdgc"
        },
        {
            "diamond_id": "nmg7r5yhut68fz4czxnvanoc"
        }
    ],
    "receiver": "https://api.manufacturer.uat.tracr.com",
    "shipment_name": "Rough Shipment",
    "shipment_type": "rough"
}
{
    "shipment_id": "rhgy6z6e7j1mwd11nbqc0urg",
    "shipment_name": "Rough Shipment",
    "diamonds": [
        {
            "diamond_id": "gy9zacqpt64rfm5l9aj8fdgc",
            "lifecycle_state": "rough",
            "participant_id": "rough_1",
            "polished": null,
            "rough": {
                "carats": 2.57,
                "colour": null,
                "model": null,
                "quality": null,
                "stress": null,
                "box_id": "demo_rough_box",
                "sight_year": null,
                "sight_number": null
            },
            "status": "success"
        },
        {
            "diamond_id": "nmg7r5yhut68fz4czxnvanoc",
            "lifecycle_state": "rough",
            "participant_id": "rough_2",
            "polished": null,
            "rough": {
                "carats": 0.64,
                "colour": null,
                "model": null,
                "quality": null,
                "stress": null,
                "box_id": "demo_rough_box",
                "sight_year": null,
                "sight_number": null
            },
            "status": "success"
        }
    ]
}

Transfer polished diamonds

Manufacturers can transfer the ownership of polished diamonds to other manufacturers and retailers.

Please note

Polished diamonds may only be transferred provided:

  • The diamonds are unlocked (fees apply for unlocking diamonds)

  • The diamonds have inscription numbers

To initiate a transfer of polished diamonds, pass the list of polished diamonds to the endpoint:

Call POST /v2/transfer/out/start

View outbound shipments

To list all outbound shipments:

Call GET /v2/shipment/outbound

This endpoint support various filters. For example, to return only those shipments that have completed processing:

Call GET /v2/shipment/outbound?status=complete

To view a specific outbound shipment

Call GET v2/shipment/outbound/gpchul9fhqyo6tf23kzuodjl

Cancel a shipment

An outbound shipment can be cancelled by the sender.

An important note regarding the cancellation of a shipment

Cancelling a shipment means Tracr will individually cancel the transfer of each diamond in the shipment. If some diamonds have already been accepted by the receiver, the transfer cannot be cancelled and reverted.

Call POST /transfer/out/gpchul9fhqyo6tf23kzuodjl/cancel

Last updated